ml_model {sparklyr} | R Documentation

## Create an ML Model Object

### Description

Create an ML model object, wrapping the result of a Spark ML routine call. The generated object will be an R list with S3 classes `c("ml_model_<class>", "ml_model")`.

### Usage

    ml_model(class, model, ..., .call = sys.call(sys.parent()))

### Arguments

`class` | The name of the machine learning routine used in the encompassing model. Note that the model name generated will be generated as `ml_model_<class>`; that is, `ml_model` will be prefixed.
`model` | The underlying Spark model object.
`...` | Additional model information; typically supplied as named values.
`.call` | The R call used in generating this model object (ie, the top-level R routine that wraps over the associated Spark ML routine). Typically used for print output in e.g. `print` and `summary` methods.

[Package sparklyr version 0.6.3 Index]